<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMItemGridViewBase from './emitem-grid-view-base.vue';

import view_grid from '@widgets/emitem/main2-grid/main2-grid.vue';

/**
 * 物品
 *
 * @export
 * @class EMItemGridView
 * @extends {EMItemGridViewBase}
 */
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMItemGridView extends EMItemGridViewBase { }
</script>